Auth-Sessions
Update AuthSession - Start
Start updating an AuthSession.
POST
/
{workspaceId}
/
projects
/
{projectName}
/
auth-sessions
/
{authSessionId}
/
update
UpdateAuthSessionStart
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.update.start(
"my-project",
"<id>",
{
parameters: {
"param1": "value1",
"param2": 42,
"param3": true
},
},
);
console.log(result);
}
run();
from intuned_client import IntunedClient
from intuned_client import models
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.update.start(
project_name="my-project",
auth_session_id="auth-session-123",
body=models.AuthSessionsUpdateStartRequestBody(
parameters={
"param1": "value1",
"param2": 42,
"param3": True,
},
proxy="http://username:password@proxy.example.com:8080",
createAttempts=3,
checkAttempts=3,
),
)
print(res)curl --request POST \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/{authSessionId}/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"parameters": {
"username": "john.doe",
"password": "newPassword"
},
"proxy": "http://proxy.example.com:8080",
"createAttempts": 3,
"checkAttempts": 3,
"saveTrace": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parameters: {username: 'john.doe', password: 'newPassword'},
proxy: 'http://proxy.example.com:8080',
createAttempts: 3,
checkAttempts: 3,
saveTrace: true
})
};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/{authSessionId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "started",
"operationId": "aabbccddeeffggh"
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
Authentication session ID. You can obtain it from the AuthSessions tab in your project details.
Body
application/json
Update AuthSession input schema
The parameters to be passed to the API.
Example:
{ "param1": "value1", "param2": 42, "param3": true }
Proxy configuration for the job
Example:
"http://username:password@proxy.example.com:8080"
Number of attempts to create a new AuthSession if the current one is invalid or expired.
Example:
3
Number of attempts to check the validity of the AuthSession before recreating it.
Example:
3
⌘I
UpdateAuthSessionStart
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.update.start(
"my-project",
"<id>",
{
parameters: {
"param1": "value1",
"param2": 42,
"param3": true
},
},
);
console.log(result);
}
run();
from intuned_client import IntunedClient
from intuned_client import models
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.update.start(
project_name="my-project",
auth_session_id="auth-session-123",
body=models.AuthSessionsUpdateStartRequestBody(
parameters={
"param1": "value1",
"param2": 42,
"param3": True,
},
proxy="http://username:password@proxy.example.com:8080",
createAttempts=3,
checkAttempts=3,
),
)
print(res)